Summary:	Generic USB CCID (Chip/Smart Card Interface Devices) driver
Summary(pl.UTF-8):	Ogólny sterownik USB CCID (Chip/Smart Card Interface Devices)
Name:		pcsc-driver-ccid
Version:	1.6.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://ccid.apdu.fr/files/ccid-%{version}.tar.xz
# Source0-md5:	bcb4219c9ed5b1b93859c67ecdcc9ab2
URL:		https://ccid.apdu.fr/
BuildRequires:	flex
BuildRequires:	libusb-devel >= 1.0.9
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	pcsc-lite-devel >= 1.8.3
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel >= 1.2.3.1
Requires:	libusb >= 1.0.9
Requires:	pcsc-lite >= 1.8.3
Provides:	ccid = %{version}-%{release}
Obsoletes:	ccid < 1.4.0-3
Obsoletes:	udev-pcsc-driver-ccid < 1.4.30
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		usbdropdir	/usr/%{_lib}/pcsc/drivers
%define		ccidtwindir	/usr/%{_lib}/pcsc/drivers/serial

# pcscd provides log_msg and log_xxd functions
%define		skip_post_check_so	libccid.so.1.4.0 libccidtwin.so.1.4.0

%description
This package provides generic USB CCID (Chip/Smart Card Interface
Devices) driver.

Full lists of supported devices are available here:
<https://ccid.apdu.fr/ccid/supported.html>
<https://ccid.apdu.fr/ccid/shouldwork.html>

%description -l pl.UTF-8
Ten pakiet zawiera ogólny sterownik USB CCID (Chip/Smart Card
Interface Devices).

Pełne listy obsługiwanych urządzeń są dostępne na WWW:
<https://ccid.apdu.fr/ccid/supported.html>
<https://ccid.apdu.fr/ccid/shouldwork.html>

%package serial
Summary:	Generic USB CCID driver for readers connected to serial port
Summary(pl.UTF-8):	Ogólny sterownik USB CCID dla czytników podłączonych przez port szeregowy
Group:		Libraries
Requires:	pcsc-lite >= 1.8.3

%description serial
Generic USB CCID driver for readers connected to serial port.
Supported CCID devices:
- Gemplus/Gemalto GemPC Twin
- Gemplus/Gemalto GemCore POS Pro
- Gemplus/Gemalto GemCore SIM Pro
- Gemalto GemPC PinPad

%description serial -l pl.UTF-8
Ogólny sterownik USB CCID dla czytników podłączonych przez port
szeregowy. Obsługiwane urządzenia CCID:
- Gemplus/Gemalto GemPC Twin
- Gemplus/Gemalto GemCore POS Pro
- Gemplus/Gemalto GemCore SIM Pro
- Gemalto GemPC PinPad

%prep
%setup -q -n ccid-%{version}

%build
%meson build \
	--default-library=shared \
	-Dserial=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/udev/rules.d

%ninja_install -C build

cp -p src/92_pcscd_ccid.rules $RPM_BUILD_ROOT/lib/udev/rules.d/70-pcscd_ccid.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md SCARDGETATTRIB.md readers/supported_readers.txt
%dir %{usbdropdir}/ifd-ccid.bundle
%dir %{usbdropdir}/ifd-ccid.bundle/Contents
%{usbdropdir}/ifd-ccid.bundle/Contents/Info.plist
%dir %{usbdropdir}/ifd-ccid.bundle/Contents/Linux
%attr(755,root,root) %{usbdropdir}/ifd-ccid.bundle/Contents/Linux/libccid.so*
/lib/udev/rules.d/70-pcscd_ccid.rules

%files serial
%defattr(644,root,root,755)
%doc AUTHORS README.md SCARDGETATTRIB.md readers/supported_readers.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/reader.conf.d/libccidtwin
%dir %{ccidtwindir}
%attr(755,root,root) %{ccidtwindir}/libccidtwin.so*
%changelog
* Wed Jun 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pcsc-driver-ccid.git;a=log;h=master

* Tue Jun 04 2024 Jan Palus <atler@pld-linux.org> 314d117
- up to 1.6.0

* Sat Jan 06 2024 Jakub Bogusz <qboosh@pld-linux.org> cfe9221
- versioned Obsoletes

* Sat Jan 06 2024 Jan Palus <atler@pld-linux.org> 2df556c
- up to 1.5.5

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> ca8a894
- up to 1.5.4

* Thu Oct 26 2023 Jan Palus <atler@pld-linux.org> b37123c
- up to 1.5.3

* Wed May 17 2023 Jan Palus <atler@pld-linux.org> 2a628a5
- up to 1.5.2

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 35a24cc
- rebuild with separate debuginfo build-ids

* Wed Feb 24 2021 Jakub Bogusz <qboosh@pld-linux.org> b8371fe
- updated to 1.4.33

* Sun Apr 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 3f91abe
- new URLs, updated to 1.4.30
- merged udev rules to main package

* Sat Nov 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 30c8d32
- updated to 1.4.28

* Wed Aug 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 2eefccd
- updated to 1.4.27

* Wed Feb 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 3321a54
- up to 1.4.26

* Fri Aug 05 2016 Jakub Bogusz <qboosh@pld-linux.org> b3734f5
- updated to 1.4.24

* Sun Jan 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 088575e
- updated to 1.4.22

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 0c897b0
- updated to 1.4.20

* Fri Sep 19 2014 Jakub Bogusz <qboosh@pld-linux.org> c6c2af1
- updated to 1.4.18

* Fri Aug 22 2014 Jakub Bogusz <qboosh@pld-linux.org> ba4e8b9
- updated to 1.4.17

* Fri Mar 07 2014 Jakub Bogusz <qboosh@pld-linux.org> ee04ed0
- updated to 1.4.15

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 3fa0b81
- updated to 1.4.11

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 3da5d6d
- updated to 1.4.7

